Now Available: BlackBerry App World v3.1 in the BlackBerry Beta Zone

BlackBerry App World has been updated in the BlackBerry Beta Zone! App World v3.1 is now available for download At this time there are no known bugs in this version. Hit the break for more!

What’s new?

  • Gifting/Begging – allows you to request that a friend or family member pay for any application within App World.
  • Content Rating – allows content providers to rate the maturity level of their content and for you to filter content based on their desired level
  • WiFi Only Support – will allow App World to still operate when a you only have a WiFi connection
  • New Language Support - Simplified Chinese, Traditional Chinese, Korean, Thai, Indonesian, Vietnamese, and Dutch

Download App World 3.1 in the BlackBerry Beta Zone

Share/Bookmark
  • Vic

    Upon starting App World, user receives a message “A BlackBerry Identity Update is needed. Would you like to install it now?” and is unable to enter App World.how to solve this problem?

  • Pieteroosthuysen

    iv got the same problem, can anyone assit please?

  • http://www.facebook.com/lee.myburgh Lee Myburgh

    ‘ve downloaded the latest version of the app world. When I go into it, a message pops up saying: A Blackberry Identity Update is needed. Would you like to install it now? Yes or No.
    After clicking Yes it says Contacting Blackberry Server. Then it says Blackberry Identity installation failed. (80003) and the app world closes by itself.

    According to previous forums, this latest version was brought out to solve this problem. Ironically in my case, it brought this error to me for the first time. I’ve updated my app world many times before without problems, but this time it’s a nightmare.

    Solutions have been offered in older forums telling people to create a Blackberry ID – but I already have one since I’ve been using the app world before.

    To all at Blackberry, PLEASE help.